Package Details: zabbix-server 3.0.4-1

Git Clone URL: https://aur.archlinux.org/zabbix-server.git (read-only)
Package Base: zabbix-server
Description: Software designed for monitoring availability and performance of IT infrastructure components
Upstream URL: http://www.zabbix.com
Licenses: GPL
Submitter: Idares
Maintainer: Idares
Last Packager: Idares
Votes: 7
Popularity: 0.927984
First Submitted: 2015-08-11 14:22
Last Updated: 2016-07-26 13:34

Latest Comments

Idares commented on 2016-05-30 14:16

Updated to 3.0.3-1

Zabbix release notes: http://www.zabbix.com/rn3.0.3.php

Idares commented on 2016-04-25 15:30

Updated to 3.0.2-1

Zabbix release notes: http://www.zabbix.com/rn3.0.2.php

Idares commented on 2016-03-06 17:08

Updated to 3.0.1-3

- updated checksums

jose1711 commented on 2016-03-04 21:27

but you forgot to update sums

Idares commented on 2016-03-02 15:32

Updated to 3.0.1-2

- fixed zabbix-server.install

Idares commented on 2016-03-02 15:10

Updated to 3.0.1-1

Zabbix release notes: http://www.zabbix.com/rn3.0.1.php

- added --with-openssl option
- removed apache dependency
- postgresql dependency changed to postgresql-libs

jamincollins commented on 2016-03-02 14:55

Completely agree with eagletmt. Please remove the apache dependency or adjust it such that either nginx or apache can satisfy it.

The post install attempts to chown a directory that does not exist[1]:
* chown: cannot access '/srv/http/zabbix': No such file or directory

Also, the ascii horizontal rules are about 5 characters too long for a normal 80 column display. Shortening them would improve the appearance. Probably want to do the same with the long comments in post upgrade[2] as well.

[1] - https://aur.archlinux.org/cgit/aur.git/tree/zabbix-server.install?h=zabbix-server#n5
[2] - https://aur.archlinux.org/cgit/aur.git/tree/zabbix-server.install?h=zabbix-server#n36

eagletmt commented on 2016-02-21 08:11

Please remove dependency on apache. It's totally unnecessary.
Also, please change the "postgresql" dependency to "postgresql-libs". zabbix-server requires only the client library libpq.

eagletmt commented on 2016-02-21 07:49

Please add --with-openssl option for encryption support.
https://www.zabbix.com/documentation/3.0/manual/encryption

Idares commented on 2016-02-17 15:56

Updated to 3.0.0-1

Zabbix release notes: http://www.zabbix.com/rn3.0.0.php
Zabbix 3.0.0 upgrade notes: https://www.zabbix.com/documentation/3.0/manual/installation/upgrade_notes_300
Zabbix 3.0.0 upgrade procedure: https://www.zabbix.com/documentation/3.0/manual/installation/upgrade

- added database upgrade patches
- re-added Jabber support

ruthger commented on 2016-01-18 01:37

I have added a new version of iksemel into aur. Please add iksemel again as a optional dependency. I do use the jabber option in Zabbix.

roentgen commented on 2016-01-17 07:11

Hello guys. I made a split package for zabbix3 at https://aur.archlinux.org/pkgbase/zabbix3/

I'm looking for co-maintainers as I don't have much time to look for it.

BTW zabbix2 packages could use the same method to generate split packages from one PKGBUILD with the possibility to choose the database type when building.

jose1711 commented on 2016-01-16 15:33

please, also package patches used to upgrade/restore backup from zabbix-server < 2.0 (https://www.zabbix.com/documentation/2.0/manual/installation/upgrade#upgrade_the_database). thank you

Idares commented on 2015-11-25 15:09

Updated to 2.4.7-1

Zabbix release notes: http://www.zabbix.com/rn2.4.7.php

- Enabled ipv6 support.
- Dropped Jabber support.

Weytsengtang commented on 2015-10-20 18:13

It seems that the mysql version is a little bit more up to date (having ipv6 support compiled etc). Maybe it would be nice to take its PKGBUILD and adapt it to Postgres.

Idares commented on 2015-09-10 15:12

Personally I do not need Jabber support, but dropping it may cause problems to those who do. But yes, missing iksemel package is a problem.
I don't know, if anybody use Jabber in zabbix, so if nobody will complain here (and iksemel will not appear in AUR) until next zabbix release, Jabber support will be dropped.

joko commented on 2015-09-10 11:19

Are you considering dropping Jabber support? I cannot find the iksemel package in AUR and I have to remove it every time along with the respective configuration line in order to continue building zabbix-server.